Bug 178509 - [MAINTAINER] www/p5-HTML-TreeBuilder-LibXML: update to 0.20
Summary: [MAINTAINER] www/p5-HTML-TreeBuilder-LibXML: update to 0.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-11 17:00 UTC by markun
Modified: 2013-05-13 15:00 UTC (History)
0 users

See Also:


Attachments
p5-HTML-TreeBuilder-LibXML-0.20.patch (2.40 KB, patch)
2013-05-11 17:00 UTC, markun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description markun 2013-05-11 17:00:00 UTC
- Update to 0.20

Generated with FreeBSD Port Tools 0.99_7 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-05-11 17:00:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Frederic Culot freebsd_committer 2013-05-12 20:06:46 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-05-13 14:52:03 UTC
Author: culot
Date: Mon May 13 13:51:49 2013
New Revision: 318082
URL: http://svnweb.freebsd.org/changeset/ports/318082

Log:
  - Update to 0.22
  - Trim Makefiles' header
  - Pet portlint(1) by changing tab into space in WWW link
  
  Changes:	http://search.cpan.org/dist/HTML-TreeBuilder-LibXML/Changes
  PR:		ports/178509 (based on)
  Submitted by: 	TERAMOTO Masahiro <markun@onohara.to> (maintainer)

Modified:
  head/www/p5-HTML-TreeBuilder-LibXML/Makefile   (contents, props changed)
  head/www/p5-HTML-TreeBuilder-LibXML/distinfo   (contents, props changed)
  head/www/p5-HTML-TreeBuilder-LibXML/pkg-descr   (contents, props changed)
  head/www/p5-HTML-TreeBuilder-LibXML/pkg-plist   (contents, props changed)

Modified: head/www/p5-HTML-TreeBuilder-LibXML/Makefile
==============================================================================
--- head/www/p5-HTML-TreeBuilder-LibXML/Makefile	Mon May 13 13:49:39 2013	(r318081)
+++ head/www/p5-HTML-TreeBuilder-LibXML/Makefile	Mon May 13 13:51:49 2013	(r318082)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	p5-HTML-TreeBuilder-LibXML
-# Date created:		2009-04-16
-# Whom:			Masahiro Teramoto <markun@onohara.to>
-#
+# Created by: TERAMOTO Masahiro <markun@onohara.to>
 # $FreeBSD$
-#
 
 PORTNAME=	HTML-TreeBuilder-LibXML
-PORTVERSION=	0.17
+PORTVERSION=	0.22
 CATEGORIES=	www perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -24,7 +20,7 @@ BUILD_DEPENDS=	p5-Filter>=0:${PORTSDIR}/
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 TEST_DEPENDS=	p5-Web-Query>=0:${PORTSDIR}/www/p5-Web-Query
 
-PERL_CONFIGURE=	yes
+PERL_MODBUILD=	yes
 
 MAN3=		HTML::TreeBuilder::LibXML::Node.3 \
 		HTML::TreeBuilder::LibXML.3

Modified: head/www/p5-HTML-TreeBuilder-LibXML/distinfo
==============================================================================
--- head/www/p5-HTML-TreeBuilder-LibXML/distinfo	Mon May 13 13:49:39 2013	(r318081)
+++ head/www/p5-HTML-TreeBuilder-LibXML/distinfo	Mon May 13 13:51:49 2013	(r318082)
@@ -1,2 +1,2 @@
-SHA256 (HTML-TreeBuilder-LibXML-0.17.tar.gz) = 0f9b9e2322a343b08693d8f0c2dde6a2e052463a767606d35def178de88beaba
-SIZE (HTML-TreeBuilder-LibXML-0.17.tar.gz) = 26701
+SHA256 (HTML-TreeBuilder-LibXML-0.22.tar.gz) = 614f41c9d8eed77b7285fb0cd4e98e174a3d703b5307ab65504ebd7f13f19ca0
+SIZE (HTML-TreeBuilder-LibXML-0.22.tar.gz) = 21863

Modified: head/www/p5-HTML-TreeBuilder-LibXML/pkg-descr
==============================================================================
--- head/www/p5-HTML-TreeBuilder-LibXML/pkg-descr	Mon May 13 13:49:39 2013	(r318081)
+++ head/www/p5-HTML-TreeBuilder-LibXML/pkg-descr	Mon May 13 13:51:49 2013	(r318082)
@@ -8,5 +8,4 @@ for HTML::TreeBuilder::XPath.
 Currently, this module implements good enough methods
 for work with Web::Scraper.
 
-Author:	MATSUNO Tokuhiro <tokuhirom+cpan@gmail.com>
-WWW:	http://search.cpan.org/dist/HTML-TreeBuilder-LibXML/
+WWW: http://search.cpan.org/dist/HTML-TreeBuilder-LibXML/

Modified: head/www/p5-HTML-TreeBuilder-LibXML/pkg-plist
==============================================================================
--- head/www/p5-HTML-TreeBuilder-LibXML/pkg-plist	Mon May 13 13:49:39 2013	(r318081)
+++ head/www/p5-HTML-TreeBuilder-LibXML/pkg-plist	Mon May 13 13:51:49 2013	(r318082)
@@ -1,4 +1,3 @@
-%%SITE_PERL%%/%%PERL_ARCH%%/auto/HTML/TreeBuilder/LibXML/.packlist
 %%SITE_PERL%%/HTML/TreeBuilder/LibXML/Node.pm
 %%SITE_PERL%%/HTML/TreeBuilder/LibXML.pm
 @dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/HTML/TreeBuilder/LibXML
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Frederic Culot freebsd_committer 2013-05-13 14:52:08 UTC
State Changed
From-To: open->closed

Update to 0.22 based on your PR. Thanks!